1.42.4.2

Deployed a hotfix to the server today. Let me know if you’re experiencing any issues. No major features today unfortunately, just some bug fixes and added a minimum level requirement for pvp. Players must now be level 3+ to be attacked by other players.

Both comments and pings are currently closed.

Comments are closed.

Powered by WordPress | Designed by: wordpress themes 2012 | Thanks to Best Free WordPress Themes, Find Free WordPress Themes and Free WordPress Themes